> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Void Transaction

> Void a transaction



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml patch /api/transaction/void
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/transaction/void:
    patch:
      tags:
        - Transaction management
      summary: Void Transaction
      description: Void a transaction
      operationId: voidTransaction
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: string
                      description: Must be unique to the Merchant and less than 150 digits.
                      example: '91828382'
                    transaction_type:
                      type: string
                      description: Must be either "CC" or "ACH".
                      example: ACH
                    transaction_id:
                      type: number
                      description: >-
                        Must be unique to the transaction. For credit card
                        transactions this is the gateway transaction id, and for
                        ach transactions this is the att number.
                      example: 123
                  required:
                    - sid
                    - transaction_type
                    - transaction_id
              required:
                - data
      responses:
        '200':
          description: Successful Void
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: Transaction voided successfully
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Transaction voided successfully
                        description: >-
                          The message returned from the void. Example:
                          Transaction voided successfully
        '400':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Field Validation Failed
                    type: object
                    example:
                      errors:
                        data.sid:
                          - The data.sid is not the correct format.
                    properties:
                      errors:
                        type: object
                        properties:
                          data.sid:
                            type: array
                            example:
                              - The data.sid is not the correct format.
                            items:
                              type: string
                  - description: Transaction not found
                    type: object
                    example:
                      data:
                        message: No transaction found
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No transaction found
                            description: >-
                              The message returned from the void. Example:
                              Transaction voided successfully
                  - description: Unsupported Processor
                    type: object
                    example:
                      data:
                        message: Unsupported Processor
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Unsupported Processor
                            description: >-
                              The message returned from the void. Example:
                              Transaction voided successfully
                  - description: Transaction cannot be voided
                    type: object
                    example:
                      data:
                        message: Transaction cannot be voided
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Transaction cannot be voided
                            description: >-
                              The message returned from the void. Example:
                              Transaction voided successfully
        '401':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Bad API Key Permission
                    type: object
                    example:
                      data:
                        message: Permission Denied.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Permission Denied.
                            description: >-
                              The message returned from the void. Example:
                              Transaction voided successfully
                  - description: User perm issue
                    type: object
                    example:
                      data:
                        message: User not associated with the affiliate.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: User not associated with the affiliate.
                            description: >-
                              The message returned from the void. Example:
                              Transaction voided successfully
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````